summaryrefslogtreecommitdiffstats
path: root/ubuntu/_base/applications/system/tdesshaskpass/debian/postinst
diff options
context:
space:
mode:
authorSlávek Banko <[email protected]>2021-08-26 15:05:07 +0200
committerSlávek Banko <[email protected]>2021-08-27 15:52:48 +0200
commit95b9a3f9646886ffaf6c19dbcaed43503f73dae1 (patch)
tree8242b2d83dd870dc61eb61752af671da85e7965a /ubuntu/_base/applications/system/tdesshaskpass/debian/postinst
parentba1250e888da66ed1836e21d6d1c3e8e356ae6b0 (diff)
downloadtde-packaging-95b9a3f9646886ffaf6c19dbcaed43503f73dae1.tar.gz
tde-packaging-95b9a3f9646886ffaf6c19dbcaed43503f73dae1.zip
DEB tdesshaskpass: Add packaging files.
Signed-off-by: Slávek Banko <[email protected]> (cherry picked from commit 8fb8f02695e04468c1e2d72e600e4647296db749)
Diffstat (limited to 'ubuntu/_base/applications/system/tdesshaskpass/debian/postinst')
-rw-r--r--ubuntu/_base/applications/system/tdesshaskpass/debian/postinst42
1 files changed, 42 insertions, 0 deletions
diff --git a/ubuntu/_base/applications/system/tdesshaskpass/debian/postinst b/ubuntu/_base/applications/system/tdesshaskpass/debian/postinst
new file mode 100644
index 000000000..7b881b29b
--- /dev/null
+++ b/ubuntu/_base/applications/system/tdesshaskpass/debian/postinst
@@ -0,0 +1,42 @@
+#!/bin/sh
+# postinst script for tdesshaskpass
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ update-alternatives --quiet \
+ --install /usr/bin/ssh-askpass ssh-askpass \
+ /opt/trinity/bin/tdesshaskpass 35
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0